Bug 75057 - rpm-4.1: --relocate is not working.
rpm-4.1: --relocate is not working.
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
: 75550 78898 79331 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-10-03 21:38 EDT by Aleksey Nogin
Modified: 2008-05-01 11:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-27 19:25:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2002-10-03 21:38:50 EDT
% rpm --dbpath /tmp/rpm -i --relocate /usr=/tmp/ocaml
/tmp/ocaml-3.04-7.rh7.2.i386.rpm --nodeps
error: unpacking of archive failed on file /usr/bin/camlp4;3d9cefe2: cpio: open
failed - Permission denied

% rpm -qip /tmp/ocaml-3.04-7.rh7.2.i386.rpm
Name        : ocaml                        Relocations: /usr

% rpm -q rpm

The exact same RPM installs fine with exact same command line on 7.2 using
Comment 1 Need Real Name 2002-10-04 07:02:59 EDT
With rpm-4.1, the command:

rpm -i --relocate $OLDPATH=$NEWPATH --badreloc somepackage.rpm

gives no error messages, but the relocation is ignored. The package is instaled

With rpm-4.0, the same command works fine.
Comment 2 Need Real Name 2002-10-04 13:46:15 EDT
I have also run into this problem with rpm 4.1-1.06 on RedHat 8.0.  Not only 
does it not relocate the package it never sets the RPM_INSTALL_PREFIXn 
environment values.  This causes there use in the post script to fail.  This 
did not happen in previous versions of rpm.
Comment 3 Mark Vanderwiel 2002-10-07 16:38:03 EDT
I also see the problem where $RPM_INSTALL_PREFIX is not being set during %post 
and %postun script processing.

This is a major problem with installing rpm's with scripts.
Should the Priority be bumped up on this one?

Comment 4 Jeff Johnson 2002-11-16 15:12:02 EST
*** Bug 75550 has been marked as a duplicate of this bug. ***
Comment 5 Jeff Johnson 2002-12-03 13:49:41 EST
*** Bug 78898 has been marked as a duplicate of this bug. ***
Comment 6 Jeff Johnson 2002-12-10 06:59:05 EST
*** Bug 79331 has been marked as a duplicate of this bug. ***
Comment 7 Jeff Johnson 2002-12-27 19:25:01 EST
Fixed in rpm-4.2-0.42.

Be forewarned: rpm is switching to using posix
mutexes from nptl at the moment, and I'm not at
all sure whether the Raw Hide version will run
on Red Hat 8.0.

Note You need to log in before you can comment on or make changes to this bug.